<script setup>
import {inject, ref} from "vue";
import {useForm} from "@inertiajs/vue3";

const props = inject('props')
const form = inject('form')
const games = ref(props.games.data)
</script>

<template>
    <div class="select-template__item">
        <label>Игра</label>
        <select v-model="form.game" class="form-select" aria-label="Игра">
            <option  value="">Выбери игру</option>
            <option v-for="(item, key) of games" :key="key" :value="item.id">
                {{ item.name }}
            </option>
        </select>
    </div>
</template>

<style lang="scss">
.select-template {
    .select-template__edit{
        margin-top: 30px;
    }
    &__item {
    }
    &__button {
    }
    &__edit {
        flex: 1 1 100%;
        display: flex;
        align-items: center;
        &>img{
          width: 100px;
        }
    }
}
</style>
